gnutls_pubkey_import_url(3)

NAME
gnutls_pubkey_import_url - API function

SYNOPSIS
#include <gnutls/abstract.h>

int gnutls_pubkey_import_url(gnutls_pubkey_t key, const char * url, unsigned int flags);

ARGUMENTS

gnutls_pubkey_t key
    A key of type gnutls_pubkey_t

const char * url
    A PKCS 11 url

unsigned int flags
    One of GNUTLS_PKCS11_OBJ_* flags

DESCRIPTION
This function will import a PKCS11 certificate or a TPM key as a public key.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.1.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/